Bug 1204662 - epel-5-x86_64 can't be initialilzed
Summary: epel-5-x86_64 can't be initialilzed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1214674 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 10:20 UTC by Petr Lautrbach
Modified: 2015-06-20 21:13 UTC (History)
8 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:51:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Lautrbach 2015-03-23 10:20:12 UTC
Description of problem:

$ mock -r epel-5-x86_64 --init
 File "/etc/mock/epel-5-x86_64.cfg", line 6, in <module>
    if not config_opts.has_key('macros'):  config_opts['macros'] = {}

AttributeError: 'dict' object has no attribute 'has_key'

ERROR: Error in configuration

$ rpm -qf /etc/mock/epel-5-x86_64.cfg 
mock-1.2.7-1.fc22.noarch

Comment 1 Michael Simacek 2015-03-26 14:50:36 UTC
Should be addressed in upstream commit 63d827b

Comment 2 Michael Simacek 2015-04-23 12:59:57 UTC
*** Bug 1214674 has been marked as a duplicate of this bug. ***

Comment 3 Kamil Dudka 2015-04-28 16:13:13 UTC
(In reply to Michael Simacek from comment #1)
> Should be addressed in upstream commit 63d827b

There is no such object in the upstream git repository!

https://git.fedorahosted.org/cgit/mock.git/commit/?id=63d827b says "Bad object id: 63d827b".

Comment 4 Michael Simacek 2015-04-28 17:01:09 UTC
The commit might have been modified afterwards. The correct id is 2f31fa9

https://git.fedorahosted.org/cgit/mock.git/commit/?id=2f31fa9

Comment 5 Fedora Update System 2015-04-29 13:17:04 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 6 Fedora Update System 2015-04-29 13:17:28 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 7 Fedora Update System 2015-04-29 13:18:03 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 8 Fedora Update System 2015-04-29 13:19:33 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 9 Fedora Update System 2015-04-29 13:25:37 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 10 Fedora Update System 2015-04-29 19:19:18 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-05-01 16:51:24 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-02 18:09:03 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-12 20:47:14 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-06-04 11:42:00 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 15 Fedora Update System 2015-06-04 11:42:24 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 16 Fedora Update System 2015-06-20 21:09:51 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-06-20 21:13:21 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.